#include "StdAfx.h"

Plane::Plane(void):Object()
{
    static int uid_count = 0;

    uid = uid_count;
    uid_count += 2;
	a = 0;
	fight =0;
	manevr = 0;
	target = 0;
	ttl = 0;
	type = 0;
	v = 0;
	zone = 0;
	undat = 0;
	seen = 0;
    shoot_delay = 0;
    nrockets = IATTX.n_rockets;
	fuel = IATTX.fuel;
	LastOperationType = WAIT;
}

Plane::Plane(Vector3D p, bool our0, bool tp):Object(p)
{
    static int uid_count = 1;

    uid = uid_count;
    uid_count += 2;
	a = 0;
	fight =0;
	our = our0;
	manevr = 0;
	target = 0;
	ttl = 0;
	type = tp;
	if(type)sign = 2;
	else sign = 1;
	v = 0;
	zone = 0;
	seen = 0;
	undat = 0;
    shoot_delay = 0;
    nrockets = IATTX.n_rockets;
	fuel = IATTX.fuel;
	LastOperationType = WAIT;
}

Plane::~Plane(void)
{
    attacked_by.clear();
}

void Plane::InZone(bool f)
{
	zone = f;
}

bool Plane::IsOur()
{
	return our;
}

void Plane::SetFireRight(Plane &pl)
{
	fight = true;
	target = &pl;
}

void Plane::Fire(Plane &pl) 
{
    shoot_delay = IATTX.ammo_time;
	if (nrockets == 0)
	{
		//WTF???
	}
    nrockets--;

    // ,        ?  ,         
    AttackedPlanePList::iterator itr = pl.attacked_by.begin();
    bool found = false;
    while (itr != pl.attacked_by.end())
    {
        if (*itr == this)
            found = true;
        itr++;
    }
    if (!found)
        pl.attacked_by.push_back(this);
}

void Plane::ResetState()
{
    attacked_by.clear();
    shoot_delay = 0;
    nrockets = IATTX.n_rockets;
}
