#pragma once

#define CUR_PRESET 2

struct my_point
{
    double x;
    double y;
    my_point(double ax, double ay) 
    { 
        x = ax;
        y = ay;
    }
};

struct significanties
{
    double obj;     //  
    double rls;     //  
    double mzrk;    //   
    double szrk;    //   
    double air;     //  
    significanties(double a_obj, double a_rls, double a_mzrk, double a_szrk, double a_air)
    {
        obj = a_obj;
        rls = a_rls;
        mzrk = a_mzrk;
        szrk = a_szrk;
        air = a_air;
    }
};

struct preset
{
    my_point object;    //  
    my_point mczrk;     //   
    my_point sczrk;     //   
    my_point fair;      //    
    my_point bair;      //   
    my_point air;       //    
    significanties priorities;  //   
};

const preset positions_presets[4] = 
{
    { //     --> OK
        my_point(30.0, 20.0),
            my_point(-100.0, 50.0),
            my_point(-150.0, 20.0),
            my_point(-400.0, 40.0),
            my_point(-400.0, 20.0),
            my_point(30.0, -60.0),
        significanties(0.0, 0.1, 0.9, 0.0, 0.0)
    },
    { //     --> OK
        my_point(30.0, 20.0),
            my_point(-100.0, 50.0),
            my_point(-150.0, 20.0),
            my_point(-400.0, 40.0),
            my_point(-400.0, 20.0),
            my_point(30.0, -60.0),
        significanties(0.1, 0.0, 0.9, 0.0, 0.00)
    },
    { //      
        my_point(30.0, 20.0),
            my_point(-100.0, 50.0),
            my_point(-150.0, 20.0),
            my_point(-400.0, 40.0),
            my_point(-400.0, 20.0),
            my_point(30.0, -60.0),
        significanties(0.0, 0.0, 0.9, 0.09, 0.01)
    },
    { //       --> OK
        my_point(30.0, 20.0),
        my_point(-100.0, 50.0),
        my_point(-150.0, 20.0),
        my_point(-400.0, 40.0),
        my_point(-400.0, 20.0),
        my_point(30.0, -60.0),
        significanties(0.3, 0.25, 0.2, 0.15, 0.1)
    }
};

//const preset positions_presets[4] = 
//{
//    { //     --> OK
//        my_point(30.0, 20.0),
//            my_point(100.0, 30.0),
//            my_point(100.0, -50.0),
//            my_point(-400.0, -50.0),
//            my_point(-400.0, 20.0),
//            my_point(100.0, -60.0),
//            significanties(0.2, 0.4, 0.2, 0.15, 0.05)
//    },
//    { //     --> OK
//        my_point(30.0, 20.0),
//            my_point(150.0, 30.0),
//            my_point(-30.0, 200.0),
//            my_point(-400.0, 40.0),
//            my_point(-400.0, 20.0),
//            my_point(30.0, -60.0),
//            significanties(0.7, 0.1, 0.1, 0.05, 0.05)
//    },
//        { //      
//            my_point(30.0, 20.0),
//                my_point(-250.0, 150.0),
//                my_point(-100.0, -50.0),
//                my_point(-400.0, 40.0),
//                my_point(-400.0, 20.0),
//                my_point(-200.0, -60.0),
//                significanties(0.0, 0.0, 0.9, 0.01, 0.09)
//        },
//        { //       --> OK
//            my_point(30.0, 20.0),
//                my_point(10.0, 30.0),
//                my_point(-30.0, -50.0),
//                my_point(-400.0, 40.0),
//                my_point(-400.0, 20.0),
//                my_point(30.0, -60.0),
//                significanties(0.3, 0.25, 0.2, 0.15, 0.1)
//        }
//};
