#include "StdAfx.h"

//Airdrom::Airdrom(void):ActiveMean()
//{
//
//}

Airdrom::Airdrom(Vector3D position, double importance, double life):ActiveMean(position, importance, life)
{
    n_created_airclafts = 0;
	channels = IATTX.f_num;
    prob = IATTX.prob;
	free = channels;
	free_fly = 0;
	PlaneSample = new Plane(position, 1, 0);
	PlaneSample->v = IATTX.f_speed;
    dead.x=-1000;dead.y=-1000;dead.z=-1000;
}

Airdrom::~Airdrom(void)
{
	/*airdromPlanes.clear();*/
    delete PlaneSample;
}

int Airdrom::FreeChannels()
{
	//allAirdromPlanes.size();
	return free;
}

double Airdrom::ChanceToHit(double R)
{
    double chance = prob * (1 - sqrt(R / IATTX.rocketDistance));
    if (chance < 0) chance = 0;
    return chance;
}

void Airdrom::attack(PlaneList* pl, RocketList* rl)
{
	//      
	//       
	//      ,
	//       , 
	//   -   -  
	//  our
//	Vector3D pos(pos.x, pos.y, 0);
//	Plane p(pos, 1 , 0);
//	NewPlane(p);

	if (!air_alive)
        return;

    Vector3D rr;

	for( PlaneList::iterator i = pl->begin(); i != pl->end(); i++ )
	{
		if( i->IsOur() )
		{
			if( i->IsAlive() )
            {
                int st = i->LastOperationType;
                if ( st == FLY )
                {
					if ( ( i->nrockets == 0 ) 
						|| ( i->fuel < ( i->pos - air_pos ).length() / 10 ) )
					{
						//       ,  
                        i->e_pos = air_pos; 
                        i->LastOperationType = BACK;
						if ( ( (Plane *) i->target )->IsAlive() )
							( (Plane *) i->target )->undat = 0;
					}
					else if ( ( (Plane*)(i->target))->LastOperationType == BACK )
                    {
                        //   ,    ,    
						free_fly++;
                        i->e_pos = air_pos;
                        i->LastOperationType = WAIT;
                        i->LastOperationTime = TIME;
                        ( (Plane *) i->target )->undat = 0;

                        if ( ( i->pos - i->e_pos ).length() < 10.0 )
                        {
                            free_fly--;
                            i->pos = i->e_pos = pos;
                            i->LastOperationType = REFUELLING;
                            i->LastOperationTime = TIME;
                        }
                    }
                    else if (!i->zone)
                    {
                        i->e_pos = i->target->pos;
                        i->speed = (i->e_pos - i->pos).normalize(); 
                        i->pos += i->speed * i->v * dt;
						i->fuel -= i->v * dt / 10;
						if ( abs( (i->pos - i->target->pos).length() ) < IATTX.rocketDistance * IATTX.attackDistance )
                    	    i->InZone(true);
					}
                    else
                    {
                        //  
                        if ( i->shoot_delay == 0 )
                        {
                            //  
                            if ( ChanceToHit( (i->pos - i->target->pos).length() ) > Random() )
                            {
                                //:   
                                i->target->Destroy();

                                CString tmp;
                                tmp.Format("   %i .", i->target->GetId());
                                WriteLog(tmp);

								free_fly++;
                                i->e_pos = air_pos;
                                i->LastOperationType = WAIT;
								i->LastOperationTime = TIME;
                                if ( ( i->pos - i->e_pos ).length() < 10.0 )
                                {
                                    free_fly--;
                                    i->pos = i->e_pos = pos;
                                    i->LastOperationType = REFUELLING;
                                    i->LastOperationTime = TIME;
                                }
                            }
							else
							{
								i->e_pos = i->target->pos;
							}
                            i->Fire(*(Plane*)(i->target));
						}
						else if (i->shoot_delay > 0)
						{
							i->shoot_delay--;
						}
						
                        i->speed = (i->e_pos - i->pos).normalize(); 
                        i->pos += i->speed * i->v * dt * 0.2;
						i->fuel -= i->v * dt / 10;
                        if ( abs( ( i->pos - i->target->pos ).length() ) 
							< ( IATTX.rocketDistance / 2 ) )
								i->InZone(true);
                        else
								i->InZone(false);
                    }
                }
				else if ( st == BACK )
                {
					i->speed = (i->e_pos - i->pos).normalize();
					i->pos += i->speed * i->v * dt;
					if ( ( i->pos - i->e_pos ).length() < 10.0 )
					{
						i->pos = i->e_pos = pos;
						i->LastOperationType = REFUELLING;
						i->LastOperationTime = TIME;
					}
                }
                else if (st == REFUELLING)
                {
                    //  (  )
                    i->fuel += IATTX.delta_fuel;

                    if (i->fuel >= IATTX.fuel)
                    {
                        // ,    
                        free++;
                        i->pos = i->e_pos = pos;
                        i->LastOperationType = WAIT;
                        i->LastOperationTime = TIME;
                        i->nrockets = IATTX.n_rockets;
                        i->fuel = IATTX.fuel;
                    }
                }
				else if (st == WAIT)
                {
					if ( ( i->pos - i->e_pos ).length() >= 10.0 )
                    {
						i->speed = (i->e_pos - i->pos).normalize();
						i->pos += i->speed * i->v * dt;
						i->fuel -= i->v * dt / 10;
						if ( i->fuel < ( i->pos - pos ).length() / 10 )
                        {
							i->LastOperationType = BACK;
                            i->undat = 0;
							free_fly--;
						}
						if ( ( i->pos - i->e_pos ).length() < 10.0 )
						{
							free_fly--;
							i->pos = i->e_pos = pos;
							i->LastOperationType = REFUELLING;
							i->LastOperationTime = TIME;
						}
					}
                    //else
                    //    i->pos = i->e_pos = pos;
                }
            }
            else
            {
                if (i->pos != dead) 
                { 
                    CString str; 
                    str.Format("[ %g ]: ()    %i ", TIME, i->GetId()); 
                    Print(str);

                    if (i->LastOperationType == FLY)
                        ( (Plane *) i->target )->undat = false;

                    i->pos = i->e_pos = dead;
                    channels--;
                    _ASSERTE(channels >= 0);
                }
            }
        }
	}

    if (channels == 0)
        all_our_planes_down = true;
}

Airdrom::Ukaz(Plane *pl, Vector3D err)
{
	//   
	//    
	//    ...
	AddNewPlane(*pl, err);

	char *res_str = new char[256];
	sprintf(res_str,"[ %g ]:        =%i !", TIME, pl->GetId());
	Print(res_str);
	delete [] res_str;
}
void Airdrom::AddNewPlane(Plane &target, Vector3D error)
{
	//if ( free > IATTX.f_num - our_down )
	//	free = IATTX.f_num - our_down;
	if ( free > 0 )
	{
        if (n_created_airclafts >= IATTX.f_num)
        {
            _ASSERTE(n_created_airclafts == IATTX.f_num);
            PlaneList::iterator i;
            //   
            for( i = planes.begin(); ( i->LastOperationType != WAIT || ( i->pos - i->e_pos ).length() >= 10.0 || !i->IsOur() || !i->IsAlive()) 
                && ( i != planes.end() ); i++);
            _ASSERTE(i != planes.end());
            
            i->e_pos = target.pos + Random() * error;
            i->speed = ( i->e_pos - i->pos ).normalize();
            i->SetFireRight( target );
            i->LastOperationType = FLY;
            i->v = IATTX.f_speed;
            i->undat = 0;
            free--;
        }
        else
        {
            n_created_airclafts++;
            PlaneSample->e_pos = target.pos + Random() * error;
		    PlaneSample->speed = ( PlaneSample->e_pos - PlaneSample->pos ).normalize();
		    PlaneSample->SetFireRight( target );
		    PlaneSample->LastOperationType = FLY;
            PlaneSample->undat = 0;
		    planes.push_back( *PlaneSample );
		    free--;
        }
	}
	else if ( free_fly > 0 )
	{
		PlaneList::iterator i;
		int tmp = 0;
		for( i = planes.begin(); ( i->LastOperationType != WAIT || !i->IsOur()) 
			&& ( i != planes.end() ); i++)
				if ( i->LastOperationType == WAIT && i->IsOur())
					tmp++;
		if ( i->LastOperationType != WAIT )
			AfxMessageBox("Hmm?");
		else
		{
            _ASSERTE(i->IsOur() == true);
			i->e_pos = target.pos + Random() * error;
			i->speed = (i->e_pos - i->pos).normalize();
			i->SetFireRight(target);
            i->undat = 0;
			i->LastOperationType = FLY;
		}
		free_fly--;
	}
}

void Airdrom::WriteLog(CString str)
{
    CString temp;
    temp.Format("[ %g ]: () ", TIME);
    temp += str;
    Print((LPCTSTR)temp);
}