//formirovanie matritsi boevoi effectivnosti
class Matrix
{
public:
    Matrix(int _w, int _h) : w(_w), h(_h)
    {
        matrix = new double [h*w];
        for (int i = 0; i < h*w; i++)
            matrix[i] = 0.0;
    }
    Matrix(const Matrix &m)
    {
        w = m.w; h = m.h;
        matrix = new double[m.h*m.w];
        for (int i = 0; i < h*w; i++)
            matrix[i] = m.matrix[i];
    }
      
    
    ~Matrix()
    {
        delete [] matrix;
    }
    const Matrix &operator =(const Matrix &m)
    {
        delete [] matrix;
        w = m.w; h = m.h;
        matrix = new double[h*w];
        for (int i = 0; i < h*w; i++)
            matrix[i] = m.matrix[i];
        return *this;
    }
    double &operator () (int x, int y)
    {
        return matrix[w*y + x];
    }
    double operator () (int x, int y) const
    {
        return matrix[w*y + x];
    }
    int W() const { return w; }
    int H() const { return h; }
    Matrix operator~() const
    {
        Matrix r(h, w);
        for (int i = 0; i < h; i++)
            for (int j = 0; j < w; j++)
                r(i, j) = (*this)(j, i);
        return r;
    }
    int w, h;
protected:
    double *matrix;
    
};