#include "stdafx.h"
RLS::RLS(void):Object()
{ 
	CYCLE_TIME = 1;
	r = RLSTTX.r;
	pos.x = pos.y = pos.z =0.0;
	sigma_i = 0.01;
	sigma_h = 15.0;
}

RLS::RLS(double s, double l):Object(s, l)
{
	CYCLE_TIME = 1;
	r = RLSTTX.r;
	pos.x = pos.y = pos.z =0.0;
	sigma_i = 0.01;
	sigma_h = 15.0;
}
void RLS::Attack()
{ 
	if(!rls_alive)return;
	shoot  = 0;
	Obzor();
	TcR();
	if (shoot) TcUk();
	Aims.clear();
	Dfndrs.clear();
};

//**************Obzora******************
void RLS::Obzor()
{

	//#define targets_for_cr InView
	PlaneList::iterator itr;
	//num++;
	//printf("Obzor %i\n",num);
	//obnovlyaem coord ranee zamech tselej
	for (itr= planes.begin();
		itr!= planes.end();
		itr++)
		if (InRLSzone(*itr))//tsel' v zone
		{
			if(!itr->IsOur())//ne nash
			{
			 itr->seen++;
			 if (itr->manevr<3) itr->manevr++;
			 else if (itr->manevr==3 && //  
				      !itr->undat &&      //   
                      itr->LastOperationType != BACK)   //    
				 //   
				 Aims.push_back(&(*itr));
			}
		}
		else 
            itr->manevr = 0;
}

char RLS::InRLSzone(Plane pl)
{ 
    if(sqrt( pow(pl.pos.x,2)+pow(pl.pos.y,2)) < r) 
        return 1;
    return 0;
}

//****************Tseleuk***************
double RLS::Random()
{  return  rand()/(double)RAND_MAX; };

//datchik norm raspred
//datchik norm raspred
double RLS::NORM(double mx, double dx)
{
	int n = 12;
	double result =0;
	for (int i = 1; i < n; i++)
		result += Random();
	return (result - n/2.0)*sqrt(12.0/n)*dx + mx;
}

Vector3D RLS::GiveErr(Plane Aplane)
{   
	Vector3D err;
	err.x =0.002+ /*NORM(0,sigma_i)*/ +
	NORM(0,sigma_h*exp(-Aplane.seen/2.0));
	err.y =0.002+ /*NORM(0,sigma_i)*/ +
	NORM(0,sigma_h*exp(-Aplane.seen/2.0));
	err.z = 0.002+/*NORM(0,sigma_i)*/ +
	NORM(0,sigma_h*exp(-Aplane.seen/2.0));
	return err;
}
//Vector3D RLS::GiveErr(Plane Aplane)
//{   Vector3D err;
//    srand();     
//    err.x = /*NORM(0,sigma_i)*/3.0+
//    fabs(NORM(0,sigma_h*exp(-Aplane.seen/2.0)));
//    err.y = /*NORM(0,sigma_i)*/ 3.0+
//    fabs(NORM(0,sigma_h*exp(-Aplane.seen/2.0)));
//    err.z = /*NORM(0,sigma_i)*/3.0 +
//    fabs(NORM(0,sigma_h*exp(-Aplane.seen/2.0)));
//}

//Vsyo dlya tseleraspr
void RLS::BuildEff(Matrix *m,Matrix a,Matrix p,std::vector<double> c)
{
#define FOETARG  a.w   //chislo tselej v zone
#define DEFENDERS a.h  //chislo aktivnix sr-v porazhenia

	for(int i=0;i<FOETARG;i++)
		for(int j=0;j<DEFENDERS;j++)
			(*m)(i,j) = a(i,j) * c[i] * p(i,j);
}

Matrix RLS::NoNull(Matrix A)
{
	int n = A.w;
	int m = A.h;
	int newi,newj;//dlya HoBou
	char nl;
	int rlw=n,rlh=m;//razmeri matritsi 6e3 nulevix strok i stol6tsov
	int i,j;
	shoot = 0;
	//stolbtsi
	char *col = new char[m];//4to6 pometit' stol6tsi
	for(j=0;j<m;j++)
	{ nl=0;
	for(i=0;i<n;i++)
		if(A(i,j)) nl=1;
	if(nl) col[j] = 1; else {col[j] = 0;rlw--; ElDelete(&Dfndrs,j);}
	}

	//stroki
	char *row = new char[n];//4to6 pometit' stroki
	for(i=0;i<n;i++)
	{ nl=0;
	for(j=0;j<m;j++)
		if(A(i,j)) nl=1;
	if(nl) row[i] = 1; else {row[i] = 0;rlh--; ElDelete(&Aims,i);}
	}


	Matrix res(rlh,rlw);
	newi=newj=0;
	for(i=0;i<n;i++)
		if(row[i])
		{
			for(j=0;j<m;j++) if(col[j])
			{ res(newi,newj) = A(i,j);
			newj++;
			}
			newj=0;newi++;
			//shoot =1;   
		}
		return(res);
}
//*******************Tseleraspr*********************
void RLS::TcR(void)
{
	int i;
	//stroim spisok tseley na raspredelenie
	std::list<Plane*>::iterator itr;
	std::list<char>::iterator rnr;



	//stroim spisok zashitnikov
	char chan;
	//if(ZRK1.ChannelsFree())

	if((chan = ((ZRK *)am[1])->ChannelsFree()) && am[1]->IsAlive())
	{
		chan = '1';
		Dfndrs.push_back(chan);
	}

	if (am[0]->IsAlive())
	{
		int num = ((ZRK*)am[0])->ChannelsFree();//scol'ko u ZRK2 svob kanalov?
		for(i=0;i<num;i++)
		{
			chan = 'c';
			Dfndrs.push_back(chan);
		}
	}
	if (am[2]->IsAlive())
	{
		num = ((Airdrom*)am[2])->FreeChannels();//scol'ko na aer svob samolyotov?
		for(i=0;i<num;i++)
		{ chan = 'p';
		//poka schitaem,chto sam-tbl tol'ko s aerodroma
		Dfndrs.push_back(chan);
		}
	}

	int n = Aims.size();
	if(n) 
	{
        shoot =1;
	    int m = Dfndrs.size();
	    std::vector<double> c;
	    Matrix wareff(n,m),p(n,m),a(n,m);
	    int j;
	    //*************stroim matritsi**************
	    int trq1,trq2;
	    for (itr = Aims.begin(),i=0;
		    itr!=Aims.end();
		    itr++,i++)
	    { 
            c.push_back((*itr)->GetSign());

	        for (rnr = Dfndrs.begin(), j = 0; rnr!=Dfndrs.end(); rnr++,j++)
	            switch(*rnr)
	            { 
                    case 'p': 
                        p(i,j) = 1.0;
                        a(i,j) = 0.5;
                        break;
	                //am[0] - ZRK2; am[1] - ZRK1; am[2] -
		            case '1' :  
                        if (trq1 = ((ZRK*)am[1])->InFireZone(**itr))
                            p(i,j) = 1.0;
			            else 
                            p(i,j) = 0.0;
			            a(i,j) = ((ZRK*)am[1])->prob; //ver porazhenia;
		                break;

		            default:  
                        if (trq2 = ((ZRK*)am[0])->InFireZone(**itr))
                            p(i,j) = 1.0;
			            else 
                            p(i,j) = 0.0;
			            a(i,j) = ((ZRK*)am[0])->prob;//ver porazhenia;
			            break;
	            }//switch
	    }//vnesh for

	    BuildEff(&wareff,a,p,c);
	    Matrix res(wareff.w,wareff.h);
	    //wareff.OutMatr();  
	    //res = NoNull(wareff);
	    //if(!res.w) shoot = 0; else shoot = 1;
	    brad_res = OptimizeBradford(wareff);//dalshe - tseleuk,strelyaem po tselyam
	}
}


void RLS::ElDelete(std::list <Plane* > *lst,int i)
{
	int j=0;
	std::list <Plane* > ::iterator itr = (*lst).begin();
	if(lst->size()!=1)
	{
		while(j<i){j++,itr++;}
		lst->erase(itr);
	}
}

void RLS::ElDelete(std::list<char > *lst,int i)
{ 
	int j=0;
	std::list<char >::iterator itr = (*lst).begin();
	while(j<i){j++;itr++;}
	lst->erase(itr);
}

//*************TseleUkazanie**********
void RLS::TcUk()
{ 
	int Dfr,Targ;
	char AMean;
	Plane* Airplane;

	for( unsigned int i = 0; i < brad_res.size(); i++ )
	{
		Dfr = brad_res[i].second;
		Targ = brad_res[i].first;
		AMean = FindDfndr(Dfr);
		Airplane = FindAim(Targ);
		switch(AMean)
		{
			//odnokan
		case '1' :  //am[1]->Ukaz(Airplane,GiveErr(Airplane));
			Airplane->undat=1;
			Ukaz(2,Airplane,Norm3D(Vector3D(sigma_i)));
			break;
			//mnogokan
		case 'c' :  //am[0]->Ukaz(Airplane,GiveErr(Airplane));
			Airplane->undat=1;
			Ukaz(1,Airplane,Norm3D(Vector3D(sigma_i)));
			break;
			//aerodrom
		default  :  //am[2]->Ukaz(Airplane,GiveErr(Airplane));
			Airplane->undat=1;
			Ukaz(3,Airplane,GiveErr(*Airplane));
		}//switch
	}//for
}


Plane* RLS::FindAim(int num)
{
	int j=0;
	std::list <Plane* > ::iterator itr = Aims.begin();
	while(j<num){j++,itr++;}
	return((*itr));
}

char RLS::FindDfndr(int num)
{
	int j=0;
	std::list<char >::iterator itr = Dfndrs.begin();
	while(j<num){j++;itr++;}
	return(*itr);
}

