// WinWarDlg.cpp : implementation file
//

#include "stdafx.h"
#include "WinWar.h"
#include "WinWarDlg.h"
#include "presets.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern Vector3D m_zrk_pos;
extern Vector3D s_zrk_pos;
extern Vector3D f_air_pos;
extern Vector3D b_air_pos;
extern Vector3D air_pos;
extern Vector3D obj_pos;
extern Vector3D rls_pos;


/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWinWarDlg dialog

CWinWarDlg::CWinWarDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CWinWarDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CWinWarDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CWinWarDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWinWarDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CWinWarDlg, CDialog)
	//{{AFX_MSG_MAP(CWinWarDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_START, Start)
	ON_WM_HSCROLL()
ON_WM_HSCROLL()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWinWarDlg message handlers

BOOL CWinWarDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	SendDlgItemMessage(IDC_SDT, UINT( TBM_SETRANGE ), 1, MAKELONG(1, 200));
	delay = 100;
	SendDlgItemMessage(IDC_SDT, UINT( TBM_SETPOS ), true, delay);
	SetDlgItemInt(IDC_TDT, UINT( 1000.0 / delay ), true);
	iter = 10;
	SetDlgItemInt(IDC_ITER, iter, true);

    // Create all fancy buttons
    m_object.Create(positions_presets[CUR_PRESET].object.x, positions_presets[CUR_PRESET].object.y, this);
    m_mczrk.Create(positions_presets[CUR_PRESET].mczrk.x, positions_presets[CUR_PRESET].mczrk.y, this);
    m_sczrk.Create(positions_presets[CUR_PRESET].sczrk.x, positions_presets[CUR_PRESET].sczrk.y, this);
    m_fair.Create(positions_presets[CUR_PRESET].fair.x, positions_presets[CUR_PRESET].fair.y, this);
    m_bair.Create(positions_presets[CUR_PRESET].bair.x, positions_presets[CUR_PRESET].bair.y, this);
    m_air.Create(positions_presets[CUR_PRESET].air.x, positions_presets[CUR_PRESET].air.y, this);

    //m_object.Create(30.0, 20.0, this);
    //m_mczrk.Create(10.0, 30.0, this);
    //m_sczrk.Create(-30.0, -50.0, this);
    //m_fair.Create(-400.0, 40.0, this);
    //m_bair.Create(-400.0, 20.0, this);
    //m_air.Create(30.0, -60.0, this);

    SetDlgItemInt(IDC_OBJECT, 500);
    SetDlgItemInt(IDC_RLS, 200);
    SetDlgItemInt(IDC_ZRKM,150);
    SetDlgItemInt(IDC_ZRKS,150);
    SetDlgItemInt(IDC_AIRDROM,200);

    InitVisualization(this);

    return TRUE;  // return TRUE  unless you set the focus to a control
}

void CWinWarDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CWinWarDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		//DrawRegion(this);

        PAINTSTRUCT ps;
        CDC dc;

        BeginPaint(&ps);
        dc.Attach(ps.hdc);

        RECT rect;
        GetClientRect(&rect);
        DrawRegion(dc, rect);
        //?eniaaiea oaea ?EN
        CBrush br(RGB(0, 255, 0));

        dc.SelectStockObject(BLACK_PEN);
        dc.SelectObject(&br);
        dc.Ellipse(int(GetX(0.0)-3), int(GetY(0.0)-3), int(GetX(0.0)+3), int(GetY(0.0)+3));
        br.DeleteObject();
        //?eniaaiea ciiu iaci?a

        rect.bottom = long(GetY(RLSTTX.r));
        rect.top = long(GetY(-RLSTTX.r));
        rect.left = long(GetX(-RLSTTX.r));
        rect.right = long(GetX(RLSTTX.r));

        POINT start;
        start.x = long(GetX(0.0));
        start.y = long(GetY(0.0));

        CPen pen, *def_pen;
        pen.CreatePen(PS_SOLID, 1, RGB(0, 255, 0));
        def_pen = dc.SelectObject(&pen);
        dc.Arc(&rect, start, start);
        pen.DeleteObject();

        br.CreateSolidBrush(RGB(0, 48, 0));
        dc.SelectObject(&br);
        //dc.FloodFill(GetX(-20), GetY(0), RGB(0, 255, 0));
        dc.Arc(&rect, start, start);
        br.DeleteObject();
        dc.SelectObject(def_pen);

        dc.Detach();
        EndPaint(&ps);

        
        CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CWinWarDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CWinWarDlg::Start()
{
	// TODO: Add your control notification handler code here


    // get coordinates of all buttonzs
    m_zrk_pos.x = m_mczrk.GetXPos(); m_zrk_pos.y = m_mczrk.GetYPos();  m_zrk_pos.z = 0.0; 
    s_zrk_pos.x = m_sczrk.GetXPos(); s_zrk_pos.y = m_sczrk.GetYPos(); s_zrk_pos.z = 0.0;
    f_air_pos.x = m_fair.GetXPos(); f_air_pos.y = m_fair.GetYPos(); f_air_pos.z = 0.0;
    b_air_pos.x = m_bair.GetXPos(); b_air_pos.y = m_bair.GetYPos(); b_air_pos.z = 0.0;
    air_pos.x = m_air.GetXPos(); air_pos.y = m_air.GetYPos(); air_pos.z = 0.0;
    obj_pos.x = m_object.GetXPos(); obj_pos.y = m_object.GetYPos(); obj_pos.z = 0.0;
    rls_pos.x = 0.0; rls_pos.x = 0.0; rls_pos.x = 0.0;

    // get life for objects
    life.push_back(GetDlgItemInt(IDC_OBJECT));
    life.push_back(GetDlgItemInt(IDC_RLS));
    life.push_back(GetDlgItemInt(IDC_ZRKM));
    life.push_back(GetDlgItemInt(IDC_ZRKS));
    life.push_back(GetDlgItemInt(IDC_AIRDROM));

    
    //VisualParam par;
	//par.dc = &cdc;
	//par.rt = &w;
	CWinThread *pThread;
	iter = GetDlgItemInt(IDC_ITER, 0, FALSE);
	pThread = AfxBeginThread(StartModel, this, THREAD_PRIORITY_NORMAL,
		0, CREATE_SUSPENDED, NULL);
	pThread->m_bAutoDelete = true;
	pThread->ResumeThread();
}
//void CWinWarDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar)
//{
//	// TODO: Add your message handler code here and/or call default
//	
//	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
//}

void CWinWarDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar)
{
	// TODO: Add your message handler code here and/or call default
	delay = SendDlgItemMessage(IDC_SDT, TBM_GETPOS, 0, 0);
	SetDlgItemInt( IDC_TDT, UINT( 1000.0 / delay ), true);
	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}
