#pragma once

class CItemButton : public CWnd
{
protected:
	DECLARE_MESSAGE_MAP()
	int BUTTON_WIDTH;
	int BUTTON_HEIGHT;
private:
	bool m_watch_mouse;
	CPoint m_mouse_point;

public:
	CItemButton();
	~CItemButton();

	//  .     , 
	//    ,    
	void Create(double x, double y, CWnd *parent);
	//      
	double GetXPos();
	double GetYPos();
protected:
	void OnLButtonDown(UINT nFlags, CPoint point);
	void OnMouseMove(UINT nFlags, CPoint point);
	void OnLButtonUp(UINT nFlags, CPoint point);
	void OnPaint();
};

class CObjectButton : public CItemButton
{
public:
	CObjectButton();
protected:
	DECLARE_MESSAGE_MAP()
	void OnPaint();
};

class CMCZRKButton : public CItemButton
{
public:
	CMCZRKButton();
protected:
	DECLARE_MESSAGE_MAP()
	void OnPaint();
};

class CSCZRKButton : public CItemButton
{
public:
	CSCZRKButton();
protected:
	DECLARE_MESSAGE_MAP()
	void OnPaint();
};

class CFAIRButton : public CItemButton
{
public:
	CFAIRButton();
protected:
	DECLARE_MESSAGE_MAP()
	void OnPaint();
};

class CBAIRButton : public CItemButton
{
public:
	CBAIRButton();
protected:
	DECLARE_MESSAGE_MAP()
	void OnPaint();
};

class CAIRButton : public CItemButton
{
public:
	CAIRButton();
protected:
	DECLARE_MESSAGE_MAP()
	void OnPaint();
};